.badge,
.krds-badge {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    min-width: 2rem;
    border: 1px solid transparent;
    border-radius: var(--krds-radius-small2);
    padding: 0 var(--krds-padding-3);
    font-weight: var(--font-weight-medium);
    line-height: 1;
    white-space: nowrap;
}

.badge.small,
.krds-badge.small {
    height: var(--krds-size-height-3);
    font-size: 0.75rem;
}

.badge.medium,
.krds-badge.medium {
    height: var(--krds-size-height-4);
    font-size: 0.8125rem;
}

.badge.large,
.krds-badge.large {
    height: var(--krds-size-height-5);
    font-size: 0.875rem;
}

.badge.bg-primary,
.krds-badge.bg-primary {
    background-color: var(--krds-color-light-primary-50);
    color: var(--krds-color-light-gray-0);
}

.badge.bg-secondary,
.krds-badge.bg-secondary {
    background-color: var(--krds-color-light-secondary-70);
    color: var(--krds-color-light-gray-0);
}

.badge.bg-light-primary,
.badge-accent,
.krds-badge.bg-light-primary {
    background-color: var(--krds-color-light-primary-5);
    color: var(--krds-color-light-primary-60);
}

.badge.bg-light-secondary,
.badge-neutral,
.krds-badge.bg-light-secondary {
    background-color: var(--krds-color-light-secondary-5);
    color: var(--krds-color-light-secondary-70);
}

.badge.bg-light-gray,
.krds-badge.bg-light-gray {
    background-color: var(--krds-color-light-gray-5);
    color: var(--krds-color-light-gray-70);
}

.badge.outline-primary,
.krds-badge.outline-primary {
    border-color: var(--krds-color-light-primary-50);
    color: var(--krds-color-light-primary-60);
    background-color: transparent;
}

.badge.outline-secondary,
.krds-badge.outline-secondary {
    border-color: var(--krds-color-light-secondary-70);
    color: var(--krds-color-light-secondary-70);
    background-color: transparent;
}
